Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Interface HttpContent

All Known Implementing Classes:
  ResourceCache.Content

    public interface HttpContent

HttpContent.

Author:
  gregw

Method Summary
`Buffer` | `getBuffer()`
`long` | `getContentLength()`
`Buffer` | `getContentType()`
`InputStream` | `getInputStream()`
`Buffer` | `getLastModified()`
`Resource` | `getResource()`
`void` | `release()`

Method Detail

### getContentType

    Buffer getContentType()

### getLastModified

    Buffer getLastModified()

### getBuffer

    Buffer getBuffer()

### getResource

    Resource getResource()

### getContentLength

    long getContentLength()

### getInputStream

    InputStream getInputStream()
                               throws IOException

  Throws:
    `IOException`

### release

    void release()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.